#pragma once

#include <vectors/vec2.h>

#include "basicBullet.hpp"

namespace game::entity{

class Bullet: public BasicBullet
{
public:
    float damage;

    Bullet(World *world, const vec2f &position, float speed, float angle, float damage);

    virtual void Setup();
    virtual void Render() noexcept;

};

}
